/* Firmware Development Board                                                */
/* Port addresses and bit locations                                          */

#define BOARD_BASE   0x0300            /* board starting address             */
#define BOARD_BASE_A $0300
#define BOARD_SIZE   0x0020            /* address range on board             */

#define SYNC_ADDR    0x0378            /* LPT port addr for scope syncs &c   */
#define SYNC_ADDR_A  $378

#define I8254_BASE   (BOARD_BASE+0x0008)           /* base of timer regs     */
#define I8254_BASE_A (BOARD_BASE_A+$0008)
#define I8254_NS     139                           /* nanoseconds per count  */

/*--- LEDs and DIP switch inputs                                             */

#define LED_ADDR     (BOARD_BASE+0x001E)           /* offset of LED latches  */
#define LED_ADDR_A   (BOARD_BASE_A+$001E)
#define SW_ADDR      (BOARD_BASE+0x001E)           /* offset of switch inputs*/
#define SW_ADDR_A    (BOARD_BASE_A+$001E)


