@ECHO OFF
IF NOT "%1" == "" GOTO runit
ECHO Micro-C TINY library setup
ECHO Syntax: %0 bookdisk mcdisk model
ECHO  bookdisk = disk where the project files live (I used H:)
ECHO  mcdisk   = disk where you installed Micro-C (I used E:)
ECHO  model    = Micro-C memory model (defaults to TINY)
GOTO done
:runit
set libname=%3
if "" == "%3" then set libname=tiny
ECHO Get to Micro-C library directory
%2%
CD \mc\lib86
ECHO Copy SERIOFF.ASM to \MC\LIB86
COPY %1\ISABus\code\micro-c\firmdev.asm
..\slib i=%libname a=firmdev.asm
COPY %1\ISABus\code\micro-c\portio.asm
..\slib i=%libname a=portio.asm
COPY %1\ISABus\code\micro-c\serioff.asm
ECHO Add SERIOFF.ASM and remove SERIO.ASM from %libname.LIB
..\slib i=%libname a=serioff.asm r=serio.asm
%1
ECHO Done!
:done
