/* Sample Micro-C program to verify that the compiler setup is OK            */

#include <8086io.h>
#include "8086base.h"

#define LOOPDELAY 8                    /* units of 64K microseconds          */

unsigned int Counter;

/*---------------------------------------------------------------------------*/
/* The main event                                                            */

main() {

   serinit(9600,1);                    /* set up serial port                 */

   putstr("Hello, world!\n");

   Counter = 0;

   while (TRUE) {
      printf("Counter: %5u\r",++Counter);

asm {
      MOV CX,#LOOPDELAY
      MOV DX,#0
      MOV AH,#$86
      INT $15
}

   }

}
