/* LCDPlot.h                                                                 */
/* Useful constants & prototypes for the LCD interface code                  */

/*---------------------------------------------------------------------------*/
/* Globals                                                                   */

extern int NumDotBytes;
extern int NumDotRows;
extern int NumDotCols;
extern int BlinkAllowed;
extern char *pLCDName;


/*---------------------------------------------------------------------------*/
/* Prototypes                                                                */

void LCDInit(void);
void LCDEnable(int Enable);
void LCDWriteByte(int CharCode,int Row, int DotCol,int Blinking);

void LCDEmpty(void);

void LCDScrollUp(int DotRows);
void LCDScrollLeft(int DotRow,int DotCol,int Height,int Width);

